# H245_FunctionNotUnderstood Class Reference

`#include <h245.h>`

List of all members.

## Public Types

enum | Choices { e_request, e_response, e_command }

## Public Member Functions

| H245_FunctionNotUnderstood (unsigned tag=0, TagClass tagClass=UniversalTagClass)
| operator H245_RequestMessage & ()
| operator const H245_RequestMessage & () const
| operator H245_ResponseMessage & ()
| operator const H245_ResponseMessage & () const
| operator H245_CommandMessage & ()
| operator const H245_CommandMessage & () const
PBoolean | CreateObject ()
PObject * | Clone () const

## Member Enumeration Documentation

enum H245_FunctionNotUnderstood::Choices

Enumerator:

  e_request |
  e_response |
  e_command |

## Constructor & Destructor Documentation

H245_FunctionNotUnderstood::H245_FunctionNotUnderstood | ( | unsigned | tag = `0`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

H245_FunctionNotUnderstood::operator H245_RequestMessage & | ( |  | ) |

H245_FunctionNotUnderstood::operator const H245_RequestMessage & | ( |  | ) | const

H245_FunctionNotUnderstood::operator H245_ResponseMessage & | ( |  | ) |

H245_FunctionNotUnderstood::operator const H245_ResponseMessage & | ( |  | ) | const

H245_FunctionNotUnderstood::operator H245_CommandMessage & | ( |  | ) |

H245_FunctionNotUnderstood::operator const H245_CommandMessage & | ( |  | ) | const

PBoolean H245_FunctionNotUnderstood::CreateObject | ( |  | ) |

PObject* H245_FunctionNotUnderstood::Clone | ( |  | ) | const

The documentation for this class was generated from the following file:

- h245.h